%define pkg    qwt
%define ver    5.2.1

%define qt_pkg qt46
%define qt_dir %{_libdir}/%{qt_pkg}
%define qt_mak %{qt_dir}/bin/qmake


Summary:       Qt Widgets for Technical Applications
Name:          %{pkg}
Version:       %{ver}
Release:       2%{?dist}%{?pext}
License:       Qwt
Group:         System Environment/Libraries
Source0:       http://dl.sourceforge.net/sourceforge/%{pkg}/%{pkg}-%{ver}.tar.bz2
Patch0:        %{name}-5.1.1-build.patch
URL:           http://%{pkg}.sourceforge.net/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Uwe Rathmann <rathmann@users.sourceforge.net>
Requires:      %{qt_pkg}
BuildRequires: %{qt_pkg}-devel

%description
The Qwt library contains GUI Components and utility classes which are
primarily useful for programs with a technical background. Beside a 2D
plot widget it provides scales, sliders, dials, compasses, thermometers,
wheels and knobs to control or display values, arrays or ranges of type
double.


%package       demo
Summary:       Program examples for Qwt
Group:         Development/Tools
Requires:      %{name}-devel = %{version}-%{release}

%description   demo
The %{name}-demo package contains program examples for Qwt developers.


%package       devel
Summary:       Development tools for Qwt
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      %{qt_pkg}-devel

%description   devel
The %{name}-devel package contains the static libraries and header files
for developing software using Qwt.


%package       designer
Summary:       Plugin for the Qt Interface designer
Group:         Development/Tools
Requires:      %{name}-devel = %{version}-%{release}
Requires:      %{qt_pkg}-designer

%description   designer
The %{name}-designer package contains the plugin for the Qt User Interface
designer tool.


%prep
%setup -q
%patch0 -p1

# Prepare docs
pushd doc/man/man3
%{__rm} -f *screenshots.3
%{__mv} -f deprecated.3 qwtdeprecated.3
popd


%build
BuildLib() {
  %{__mkdir} ${1}
  pushd ${1}

  %{qt_mak} \
	QMAKE_CXXFLAGS="${RPM_OPT_FLAGS}"            \
	${2} -after                                  \
	target.path=%{_libdir}                       \
	headers.path=%{_includedir}/%{pkg}           \
	doc.path=%{_docdir}/%{name}-devel-%{version} \
	../%{pkg}.pro

  %{__make} #%{?_smp_mflags}

  popd
}

BuildLib "obj-static" ""
BuildLib "obj-shared" "CONFIG+=QwtDll CONFIG+=QwtDesigner CONFIG+=QwtExamples"


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{qt_dir}/plugins/designer
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_mandir}

for BLDDIR in obj-static obj-shared; do
  pushd ${BLDDIR}

  %{__make} \
	INSTALL_ROOT=${RPM_BUILD_ROOT} \
	install

  popd
done

%{__cp} -rpd examples              ${RPM_BUILD_ROOT}%{_datadir}/%{name}
%{__cp} -rpd obj-shared/examples/* ${RPM_BUILD_ROOT}%{_datadir}/%{name}/examples

%{__cp} -rpd doc/man/man3          ${RPM_BUILD_ROOT}%{_mandir}

%{__mv} -f  ${RPM_BUILD_ROOT}%{_libdir}/libqwt_designer_plugin.so \
	    ${RPM_BUILD_ROOT}%{qt_dir}/plugins/designer

# Cleanup
%{__rm} -rf ${RPM_BUILD_ROOT}%{_docdir}/%{name}-devel-%{version}
%{__rm} -f  ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.{?,?.?}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%doc CHANGES COPYING INSTALL README
%{_libdir}/libqwt.so.*

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}

%files devel
%defattr(-,root,root)
%doc %dir doc/html
%{_includedir}/%{pkg}
%{_libdir}/libqwt.a
%{_libdir}/libqwt.so
%{_mandir}/man3/*.3*

%files designer
%defattr(-,root,root)
%{qt_dir}/plugins/designer/libqwt_designer_plugin.so


%changelog
* Fri Oct 15 2010 Peter Pramberger <peterpramb@member.fsf.org> - 5.2.1-2
- Rebuild for QT 4.6

* Tue Jun 01 2010 Peter Pramberger <peterpramb@member.fsf.org> - 5.2.1-1
- New version (5.2.1)

* Sun Apr 12 2009 Peter Pramberger <peterpramb@member.fsf.org> - 5.2.0-1
- Upgrade version (5.2.0)

* Sat Apr 12 2008 Peter Pramberger <peterpramb@member.fsf.org> - 5.0.2-3
- Rewritten for buildsystem

* Thu Dec 06 2007 peter.pramberger@member.fsf.org 5.0.2-2
- created
